#

## straighten

Straighten jogs by pulling in direction

### Usage:

> straighten direction

> > where direction is any valid Manhattan direction in magic.

### Summary:

> The straighten command attempts to straighten jogs in wire paths. It is part of the plow method, and helps to clean up areas that have been altered using the plow command.

### Implementation Notes:

> straighten is implemented as a built-in command in magic.

### See Also:

> plow

Return to command index

Last updated: March 7, 2020 at 1:06pm